<template>
	<ul class="admin-navbar" :class="{'mobile-grid' : !standAlone}">
		<li :class="{'hidden-mobile' : standAlone}">
			<h4 :class="navTitleClass">Admin Menu</h4>
		</li>
		<li>
			<router-link to="/admin/eventTypes" :class="navLinkClass">Kategorien</router-link>
		</li>
		<li>
			<router-link to="/admin/events" :class="navLinkClass">Events</router-link>
			<router-link v-if="standAlone" to="/admin/events/new" class="admin-nav-link--sub">+ hinzuf&uuml;gen</router-link>
		</li>
		<li>
			<router-link to="/admin/flyers" :class="navLinkClass">Flyer</router-link>
		</li>
		<li>
			<router-link to="/admin/users" :class="navLinkClass">Benutzer</router-link>
		</li>
		<li>
			<router-link to="/admin/requests" :class="navLinkClass">Anfragen</router-link>
		</li>
		<li>
			<router-link to="/admin/statistics" :class="navLinkClass">Statistik</router-link>
		</li>
	</ul>
</template>

<script>
export default {
	name: "AdminNav",
	props: {
		standAlone: Boolean
	},
	computed: {
		navTitleClass() {
			return this.standAlone
				? "admin-nav-title"
				: "user-navbar__title signal-color-1";
		},
		navLinkClass() {
			return this.standAlone
				? "admin-nav-link stretch-w"
				: "user-navbar__content__link";
		}
	}
}
</script>

<style scoped>

</style>